## nickle 2.83

=== debian/changelog ===
nickle (2.83-1) unstable; urgency=medium

  * Include debian/source/format in tarball
  * Fix spelling errors in man page
  * Fix a pile of lintian warnings
  * Sign tarfiles when released
  * Run CI tests from installed location

 -- Keith Packard <keithp@keithp.com>  Mon, 22 Oct 2018 19:08:54 -0700

nickle (2.82-1) unstable; urgency=medium

  * Switch to mktime from timelocal for musl compatibility
  * Change exp to scale precision correctly. Fixes exp and log.

 -- Keith Packard <keithp@keithp.com>  Tue, 02 Oct 2018 20:57:31 -0700

nickle (2.81-1) unstable; urgency=low

  * Don't attempt to test Y2038 bug fix yet. It's not fixed on 32-bit
    machines.

 -- Keith Packard <keithp@keithp.com>  Tue, 14 Nov 2017 02:29:18 -0800

nickle (2.80-2) unstable; urgency=low

  * Update standard version to 4.1.1
  * Remove unnecessary configure overrides in rules
  * Remove use of autotools-dev

 -- Keith Packard <keithp@keithp.com>  Tue, 14 Nov 2017 01:54:20 -0800

nickle (2.80-1) unstable; urgency=medium

  * Support float values in JSON
  * Add JSON tests
  * Make nickle-tutorial.pdf build reproducibly
  * Add date conversion functions

 -- Keith Packard <keithp@keithp.com>  Mon, 13 Nov 2017 15:57:51 -0800

nickle (2.79-2) unstable; urgency=low

  * Update to standards 3.9.8
  * Switch to 3.0 (quilt) format
  * Update to dh version 10
  * Avoid installing COPYING files which duplicate copyright data
  * Make examples which are scripts executable

 -- Keith Packard <keithp@keithp.com>  Thu, 23 Mar 2017 07:45:52 +0100

nickle (2.79-1) unstable; urgency=low

  * Fix bus error on sparc64 due to unaligned DataCache.

 -- Keith Packard <keithp@keithp.com>  Thu, 16 Mar 2017 10:52:49 -0700

nickle (2.78-1) unstable; urgency=low

  * Add sudoku generator and solver example.
  * Fix write order of large queued data.
  * Add JSON input/output library.
  * Use release date in configure.in instead of `date`
  * Initialize 'replace' in NewTypedBox. (Closes: #857840, #857814, #857815)
  * Adapt test to new automake.

 -- Keith Packard <keithp@keithp.com>  Wed, 15 Mar 2017 09:35:37 -0700

nickle (2.77-1) unstable; urgency=low

  * Build tutorial when docbook2pdf is available
  * tutorial: Use sgml entities instead of < and >
  * Tutorial: twixt doesn't have an optional 'else' block
  * Rename nickle tutorial to nickle-tutorial
  * Corrected some Nickle Tour nits
  * Handle OpFarJump in CompileReachable

 -- Keith Packard <keithp@keithp.com>  Tue, 06 Nov 2012 11:04:49 -0800

nickle (2.76-1) unstable; urgency=low

  * Fix FTBS on Hurd-i386.
  * Don't crash when using initializer with forward ref type
  * Fix crashes when MemCollect occurs during Twixt execution

 -- Keith Packard <keithp@keithp.com>  Mon, 11 Jun 2012 13:29:18 -0700

nickle (2.75-1) unstable; urgency=low

  * Fix ref types in array pointer operations (&foo->bar)
  * Shorten value printing in stack traces
  * Switch to 'dh' for building package. Closes: #666356

 -- Keith Packard <keithp@keithp.com>  Fri, 30 Mar 2012 08:42:02 -0700

nickle (2.74-1) unstable; urgency=low

  * Fix Semaphore::wait to not deadlock
  * Switch debian package building to use pdebuild

 -- Keith Packard <keithp@keithp.com>  Sat, 03 Mar 2012 17:16:35 -0800

nickle (2.73-1) unstable; urgency=low

  * add gamma function
  * fix readline interaction when using pipes
  * add sort and skiplist to library
  * add is_type and has_member built-ins
  * typecheck switch statements

 -- Keith Packard <keithp@keithp.com>  Wed, 29 Feb 2012 17:00:25 +1300

nickle (2.72-1) unstable; urgency=low

  * wait3 returns 0 when there's nothing left to do
  * Rename configure.in to configure.ac
  * Block in select instead of sigsuspend when waiting for I/O
  * Keep readline from catching signals

 -- Keith Packard <keithp@keithp.com>  Sun, 29 Jan 2012 22:03:44 -0800

nickle (2.71-1) unstable; urgency=low

  * Update old-school variable length struct allocation to ansi-C
  * Replace most parameterized macros in nickle.h and value.h with
    static inline functions.
  * Clean up a pile of build warnings
  * Catch attempts to use uninitialized pointer contents
  * Exit after two consecutive interrupts
  * Cleanup struct type changes

 -- Keith Packard <keithp@keithp.com>  Fri, 25 Nov 2011 11:43:31 -0800

nickle (2.70-1) unstable; urgency=low

  * Make parse_csv_t type public
  * Throw 'bad_csv_parse' exception on unclosed quotes
  * Add factorial tests
  * Repliace naïve factorial algorithm with the prime swing
    algorithm defined by Peter Luschny
  * Update to standard 3.8.4

 -- Keith Packard <keithp@keithp.com>  Tue, 06 Jul 2010 01:22:30 -0400

nickle (2.69-1) unstable; urgency=low

  * Make debian build depend on libreadline-dev not libreadline5-dev.
  * Get math-tables.5c built before tests are run
  * Fix trig boundary conditions.
  * Add tests for math functions.
  * math.5c: fix quadrant errors in atan/asin/acos

 -- Keith Packard <keithp@keithp.com>  Thu, 17 Sep 2009 14:30:42 -0700

nickle (2.68-1) unstable; urgency=low

  * Add README.release
  * Bump debian standards to 3.8.0
  * Allow background nickle to not poll on tty ownership
  * Remove support for non-SIGIO pipes
  * Fix floating point printing to correctly round output

 -- Keith Packard <keithp@keithp.com>  Sat, 21 Jun 2008 02:17:49 -0700

nickle (2.67-1) unstable; urgency=low
  * Don't require string to be first param on builtin exceptions
  * Add io_eof exceptions when reading at EOF
  * Add unix-domain socket support
  * Make SIGINT raise signal exception
  * Add pid/uid/gid builtins
  * Add unlink/rename/mkdir/rmdir builtins
  * Autoimport works better on nested namespaces

 -- Keith Packard <keithp@keithp.com>  Wed, 19 Mar 2008 16:09:04 -0700

nickle (2.66-1) unstable; urgency=low
  * Support autoload/autoimport of nested namespaces.
  * Allow 'print' to find unpublished names

 -- Keith Packard <keithp@keithp.com>  Sun, 13 Jan 2008 17:39:49 -0800

nickle (2.65-1) unstable; urgency=low


## nickle 2.84

=== debian/changelog ===
nickle (2.84-1) unstable; urgency=medium

  * Correct crash compiling implicit sized arrays with mismatching
    init dimensionality. Closes: #911926.
  * Fix SIGTSTP handling to work in more cases, including under dash
    and when run as other than the process group leader.
  * Ignore '_' in numeric values, permitting its use as a separator.

 -- Keith Packard <keithp@keithp.com>  Fri, 26 Oct 2018 13:36:57 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

# Don't install duplicate copyright info from COPYING files
# Make examples which happen to start with #! executable

override_dh_auto_install:
	dh_auto_install && (find debian/nickle -name COPYING -print0 | xargs -0 rm)
	find debian/nickle/usr/share/nickle -type f -print0 | xargs -0 grep -l '^#!.*nickle' | xargs -d '\n' chmod +x

## nickle 2.102

=== meson_options.txt ===
#
# Copyright © 1988-2024 Keith Packard and Bart Massey.
# All Rights Reserved.  See the file COPYING in this directory
# for licensing information.
#

option('libedit', type: 'boolean', value: false,
       description: 'Use libedit instead of libreadline')

## nickle 2.85

=== debian/changelog ===
nickle (2.85-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:04:10 +0000

nickle (2.85-1) unstable; urgency=medium

  * Fix crash when File::string_string is passed an empty buffer

 -- Keith Packard <keithp@keithp.com>  Wed, 31 Jul 2019 22:20:44 -0700

=== debian/control ===
Source: nickle
Section: interpreters
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Homepage: https://nickle.org
Build-Depends: debhelper (>= 11), libreadline-dev, docbook-utils, bison, flex
Standards-Version: 4.2.1

Package: nickle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: desk calculator language
 Nickle is a language with powerful programming and scripting capabilities.
 Nickle supports a variety of datatypes, especially arbitrary precision
 integers, rationals, and imprecise reals.  The input language vaguely
 resembles C.  Some things in C which do not translate easily are different,
 some design choices have been made differently, and a very few features are
 simply missing.

=== debian/watch ===
version=4
opts="pgpmode=auto,pgpsigurlmangle=s%$%.sig%" https://nickle.org/release/ \
    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## nickle 2.86

=== debian/changelog ===
nickle (2.86) unstable; urgency=medium

  * Fix exp() of small values. They were rounding to zero
  * Stop depending on 'common' semantics in file.c. Closes: #957611.

 -- Keith Packard <keithp@keithp.com>  Fri, 17 Apr 2020 09:56:33 -0700

## nickle 2.87

=== debian/changelog ===
nickle (2.87) unstable; urgency=medium

  * Don't install Makefile and Makefile.in. Closes: #958110.
  * pow(0,0) = 1

 -- Keith Packard <keithp@keithp.com>  Sat, 18 Apr 2020 16:12:15 -0700

## nickle 2.90

=== debian/changelog ===
nickle (2.90) unstable; urgency=medium

  * Fix a syntax error in sort.5c.

 -- Keith Packard <keithp@keithp.com>  Sat, 19 Dec 2020 19:00:23 -0800

nickle (2.89) unstable; urgency=medium

  * Fix a pile of lintian warnings.

 -- Keith Packard <keithp@keithp.com>  Mon, 14 Dec 2020 21:29:39 -0800

nickle (2.88) unstable; urgency=medium

  * Switch tutorial to asciidoctor. Closes: #976535.

 -- Keith Packard <keithp@keithp.com>  Mon, 14 Dec 2020 13:28:22 -0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
 Homepage: https://nickle.org
-Build-Depends: debhelper (>= 11), libreadline-dev, docbook-utils, bison, flex
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf, bison, flex
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 
 Package: nickle
 Architecture: any

## nickle 2.91

=== debian/changelog ===
nickle (2.91) unstable; urgency=medium

  * Make randint produce evenly distributed values
  * Use asprintf in Command::edit to avoid buffer overflow. Closes: #992413.

 -- Keith Packard <keithp@keithp.com>  Wed, 18 Aug 2021 10:01:45 -0700

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,11 @@
 override_dh_auto_install:
 	dh_auto_install && (find debian/nickle -name COPYING -print0 | xargs -0 rm)
 	find debian/nickle/usr/share/nickle -type f -print0 | xargs -0 grep -l '^#!.*nickle' | xargs -d '\n' chmod +x
+
+
+# These files are generated. Makefile includes absolute paths which
+# makes it not work on end-user machines, and cause the build to be
+# not reproducible.
+
+override_dh_installdocs:
+	dh_installdocs -XMakefile -XMakefile.in

## nickle 2.92

=== debian/changelog ===
nickle (2.92) unstable; urgency=medium

  * Make lexing numbers in hex float form compatible with C %a
  * Add a bunch of portability fixes from NetBSD

 -- Keith Packard <keithp@keithp.com>  Fri, 25 Feb 2022 01:20:07 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
 Homepage: https://nickle.org
-Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf, bison, flex
+Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf,
+ bison, flex, pkg-config, autoconf-archive
 Rules-Requires-Root: no
 Standards-Version: 4.5.1

## nickle 2.97

=== debian/changelog ===
nickle (2.97) unstable; urgency=medium

  * Install benchmark bits
  * Make sure cross compilation works for NetBSD users.
  * Clean up some lintian warnings about bench files

 -- Keith Packard <keithp@keithp.com>  Sat, 13 Jan 2024 17:47:03 -0800

nickle (2.96) unstable; urgency=medium

  * Fix LDFLAGS in debian package.

 -- Keith Packard <keithp@keithp.com>  Sat, 02 Dec 2023 22:21:27 -0800

nickle (2.95) unstable; urgency=medium

  * Handle empty objects and arrays in JSON input
  * Initialize SymbolLocal code member in allocator to
    prevent fault when GC runs before correct value is set.

 -- Keith Packard <keithp@keithp.com>  Sat, 02 Dec 2023 12:52:05 -0800

nickle (2.94) unstable; urgency=medium

  * Add true/false/null support to json.5c
  * Add file input/output to json.5c

 -- Keith Packard <keithp@keithp.com>  Thu, 30 Nov 2023 12:13:48 -0800

nickle (2.93) unstable; urgency=medium

  * Add hex float support to scanf and printf
  * Fix bug in multiply when one factor is a power of two

 -- Keith Packard <keithp@keithp.com>  Sun, 20 Aug 2023 11:54:14 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf,
  bison, flex, pkg-config, autoconf-archive
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 
 Package: nickle
 Architecture: any

## nickle 2.97build2

=== debian/changelog ===
nickle (2.97build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:17 +1100

nickle (2.97build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:58:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nickle
 Section: interpreters
 Priority: optional
-Maintainer: Keith Packard <keithp@keithp.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Keith Packard <keithp@keithp.com>
 Homepage: https://nickle.org
 Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf,
  bison, flex, pkg-config, autoconf-archive

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	CFLAGS_FOR_BUILD="$(CFLAGS)" LDFLAGS_FOR_BUILD="$(LDFLAGS)" dh_auto_configure
+
 # Don't install duplicate copyright info from COPYING files
 # Make examples which happen to start with #! executable

## nickle 2.101

=== debian/changelog ===
nickle (2.101) unstable; urgency=medium

  * Format manual fixing dangling template var. Closes: #1070162.
  * Install tests for use with autopkgtest

 -- Keith Packard <keithp@keithp.com>  Wed, 30 Oct 2024 12:56:47 -0700

nickle (2.100) unstable; urgency=medium

  * Increase testing timeouts to 1000 seconds. Closes: #1086332.
  * Uses bc for test vectors (starting with 2.98). Closes: #1086188.

 -- Keith Packard <keithp@keithp.com>  Tue, 29 Oct 2024 15:18:10 -0700

nickle (2.99) unstable; urgency=medium

  * Install the binary
  * Add -Wl,-E link args

 -- Keith Packard <keithp@keithp.com>  Tue, 29 Oct 2024 09:32:11 -0700

nickle (2.98) unstable; urgency=medium

  * Add gnomesort
  * Switch to using bc to generate the math test vectors.
  * Switch to meson

 -- Keith Packard <keithp@keithp.com>  Mon, 28 Oct 2024 15:11:20 -0700

## nickle 2.102

=== debian/changelog ===
nickle (2.102) unstable; urgency=medium

  * Round floats nearest, ties to even.
  * Fix e format float printf rounding to 10.xxx
  * Add --version command line option

 -- Keith Packard <keithp@keithp.com>  Tue, 24 Dec 2024 20:19:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nickle
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Keith Packard <keithp@keithp.com>
+Maintainer: Keith Packard <keithp@keithp.com>
 Homepage: https://nickle.org
 Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf,
- bison, flex, pkg-config, autoconf-archive
+ bison, flex, meson, pkg-config, ninja-build, bc, libgmp-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 
 Package: nickle
 Architecture: any

## nickle 2.103

=== debian/changelog ===
nickle (2.103) unstable; urgency=medium

  * Switch 'bool' in %union to 'boolean' for C23 compatibility

 -- Keith Packard <keithp@keithp.com>  Mon, 28 Apr 2025 15:43:18 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Keith Packard <keithp@keithp.com>
 Homepage: https://nickle.org
 Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf,
- bison, flex, meson, pkg-config, ninja-build, bc, libgmp-dev
+ bison, flex, meson, ninja-build, pkgconf, bc, libgmp-dev
 Rules-Requires-Root: no
 Standards-Version: 4.7.0

## nickle 2.104

=== debian/changelog ===
nickle (2.104) unstable; urgency=medium

  * Replace #include SYMBOL with conditional includes.
  * Replace 'fmt --width=500' with 'fmt -w 500' which is more common.
  * Skip readline signal calls when not using libreadline.
  * Add Multi-Arch: allowed for cross-building pacakges.

 -- Keith Packard <keithp@keithp.com>  Mon, 01 Sep 2025 15:24:57 -0500

## nickle 2.107

=== debian/changelog ===
nickle (2.107) unstable; urgency=medium

  * Fix autopkgtest by installing missing math-bits.5c.

 -- Keith Packard <keithp@keithp.com>  Sat, 11 Oct 2025 09:31:18 -0700

nickle (2.106) unstable; urgency=medium

  * Rename Complex as ComplexVal. Closes: #1117746.

 -- Keith Packard <keithp@keithp.com>  Fri, 10 Oct 2025 11:20:32 -0700

nickle (2.105) unstable; urgency=medium

  * Add more math functions
  * Improve performance of log for large values.
  * Improve performance of gamma for negative values.
  * Test gamma using Legendre duplication formula.
  * Improve accuracy and avoid infinite loop in sqrt and cbrt.
  * Test sqrt and cbrt.
  * Add 'complex' type.

 -- Keith Packard <keithp@keithp.com>  Sun, 05 Oct 2025 13:10:14 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
 Homepage: https://nickle.org
-Build-Depends: debhelper-compat (= 13), libreadline-dev, ruby-asciidoctor-pdf,
+Build-Depends: debhelper-compat (= 13), libreadline-dev, asciidoctor-pdf,
  bison, flex, meson, ninja-build, pkgconf, bc, libgmp-dev
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
@@ -11,6 +11,7 @@
 Package: nickle
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: allowed
 Description: desk calculator language
  Nickle is a language with powerful programming and scripting capabilities.
  Nickle supports a variety of datatypes, especially arbitrary precision

=== debian/rules ===
--- 
+++ 
@@ -12,22 +12,20 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
-	CFLAGS_FOR_BUILD="$(CFLAGS)" LDFLAGS_FOR_BUILD="$(LDFLAGS)" dh_auto_configure
+	CFLAGS_FOR_BUILD="$(CFLAGS)" LDFLAGS_FOR_BUILD="$(LDFLAGS)" dh_auto_configure --buildsystem=meson
 
 # Don't install duplicate copyright info from COPYING files
 # Make examples which happen to start with #! executable
 
 override_dh_auto_install:
-	dh_auto_install && (find debian/nickle -name COPYING -print0 | xargs -0 rm)
+	dh_auto_install --buildsystem=meson && (find debian/nickle -name COPYING -print0 | xargs -0 rm)
 	find debian/nickle/usr/share/nickle -type f -print0 | xargs -0 grep -l '^#!.*nickle' | xargs -d '\n' chmod +x
 
+override_dh_update_autotools_config:
+	echo using meson
 
-# These files are generated. Makefile includes absolute paths which
-# makes it not work on end-user machines, and cause the build to be
-# not reproducible.
-
-override_dh_installdocs:
-	dh_installdocs -XMakefile -XMakefile.in
+override_dh_autoreconf:
+	echo using meson
